Package wx :: Module html :: Class HelpControllerBase

[frames | no frames]

## Type HelpControllerBase

    object --+
             |
        Object --+
                 |
                HelpControllerBase

Known Subclasses:
  `HtmlHelpController`

Proxy of C++ HelpControllerBase class

Method Summary
| `__init__(self)`
bool | `DisplayBlock(self, blockNo)`
bool | `DisplayContents(self)`
bool | `DisplayContextPopup(self, contextId)`
bool | ``DisplaySection`(self, sectionNo)` DisplaySection(self, String section) -> bool
bool | `DisplayTextPopup(self, text, pos)`
Frame | `GetFrameParameters(self, size, pos, newFrameEachTime)`
Window | `GetParentWindow(self)`
bool | ``Initialize`(self, file, server)` Initialize(self, String file) -> bool
bool | `KeywordSearch(self, k, mode)`
bool | `LoadFile(self, file)`
| `OnQuit(self)`
bool | `Quit(self)`
| `SetFrameParameters(self, title, size, pos, newFrameEachTime)`
| `SetParentWindow(self, win)`
| `SetViewer(self, viewer, flags)`

Property Summary
| `ParentWindow`: See `GetParentWindow` and `SetParentWindow`
| `thisown`: The membership flag

Method Details

### DisplaySection(self, sectionNo)

DisplaySection(self, String section) -> bool

  Parameters:
    `sectionNo`
    (type=int)

  Returns:
    bool

### Initialize(self, file, server)

Initialize(self, String file) -> bool

  Parameters:
    `file`
    (type=String)

    `server`
    (type=int)

  Returns:
    bool

Property Details

### ParentWindow

See `GetParentWindow` and `SetParentWindow`

  Get Method:
    `GetParentWindow`(self)
  Set Method:
    `SetParentWindow`(self, win)

### thisown

The membership flag

  Get Method:
    unknown--1218964676(...)
  Set Method:
    unknown--1218964620(...)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:09:38 2007 | http://epydoc.sf.net